<?php

header('Content-Type: text/css');

global $previewDir, $themeName;

$previewDir  = realpath(__DIR__ . '/../');
$previewName = basename($previewDir);
$themeName   = preg_replace('/(.*)(_preview$)/', '$1', $previewName);
$global      = file_get_contents('global.css');

function replace_image_callback($matches) {
    global $previewDir, $themeName;
    $image = $matches[1];
    $previewImagePath = $previewDir . '/img/' . $image;
    $imagePath = (file_exists($previewImagePath) ? '../' : '../../' . $themeName . '/') . 'img/' . $image;
    return 'url(' . $imagePath . ')';
}

$globalPreview = preg_replace_callback('/url\(..\/img\/(.+)\)/', 'replace_image_callback', $global);
echo $globalPreview;