<!-- Block suppliers module -->
{if isset($blockId)}
    {assign var=path value="$tpl_dir./includes/block_for_layout_position_{$blockId}.tpl" scope="parent"}
    {if file_exists($path)}
        {include file=$path id="suppliers_block_left" class="blocksupplier" assign=blockVars}

        {$smarty.capture.blockHead}
            {$smarty.capture.blockHeaderHead}
                {l s='Suppliers' mod='blocksupplier'}
            {$smarty.capture.blockHeaderTail}
            {$smarty.capture.blockContentHead}
                {if $suppliers}
                    {if $text_list}
                    <ul class="bullet">
                    {foreach from=$suppliers item=supplier name=supplier_list}
                        {if $smarty.foreach.supplier_list.iteration <= $text_list_nb}
                        <li class="{if $smarty.foreach.supplier_list.last}last_item{elseif $smarty.foreach.supplier_list.first}first_item{else}item{/if}">
                            <a href="{$link->getsupplierLink($supplier.id_supplier, $supplier.link_rewrite)}" title="{l s='More about' mod='blocksupplier'} {$supplier.name}">{$supplier.name|escape:'htmlall':'UTF-8'}</a>
                        </li>
                        {/if}
                    {/foreach}
                    </ul>
                    {/if}
                    {if $form_list}
                        <form action="{$smarty.server.SCRIPT_NAME|escape:'htmlall':'UTF-8'}" method="get">
                            <p>
                                <select id="supplier_list" onchange="autoUrl('supplier_list', '');">
                                    <option value="0">{l s='All suppliers' mod='blocksupplier'}</option>
                                {foreach from=$suppliers item=supplier}
                                    <option value="{$link->getsupplierLink($supplier.id_supplier, $supplier.link_rewrite)}">{$supplier.name|escape:'htmlall':'UTF-8'}</option>
                                {/foreach}
                                </select>
                            </p>
                        </form>
                    {/if}
                {else}
                    <p>{l s='No supplier' mod='blocksupplier'}</p>
                {/if}
            {$smarty.capture.blockContentTail}
        {$smarty.capture.blockTail}
    {/if}
{/if}
<!-- /Block suppliers module -->