{include file="$tpl_dir./breadcrumb.tpl"}

{include file="$tpl_dir./errors.tpl"}

{if !isset($errors) OR !sizeof($errors)}
    {capture name=title}
        {l s='List of products by supplier:'}&nbsp;{$supplier->name|escape:'htmlall':'UTF-8'}
    {/capture}
    {capture name=description}
        {if !empty($supplier->description)}
            <div class="description_box">
                <p>{$supplier->description}</p>
            </div>
        {/if}
    {/capture}
    {if $products}
        {include file="$tpl_dir./product-grid.tpl" products=$products categoryTitle=$smarty.capture.title categoryDescription=$smarty.capture.description}
    {else}
        {$smarty.capture.title}
        {$smarty.capture.description}
        {capture name=warning}{l s='No products for this supplier.'}{/capture}
        {include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
    {/if}
{/if}